Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transaction
Class WebSphereExtendedJTATransactionLookup

    java.lang.Object
      org.hibernate.transaction.WebSphereExtendedJTATransactionLookup

All Implemented Interfaces:
  TransactionManagerLookup

    public class WebSphereExtendedJTATransactionLookup

extends Object
implements TransactionManagerLookup

TransactionManagerLookup implementation intended for use with WebSphere Application Server (WAS).

WAS, unlike every other app server on the planet, does not allow direct access to the JTS TransactionManager. Instead, for common transaction- related tasks users must utilize a proprietary API known as ExtendedJTATransaction.

Even more unfortunate, the exact TransactionManagerLookup to use inside of WAS is highly dependent upon (1) WAS version as well as (2) the WAS container in which Hibernate will be utilized.

WebSphereExtendedJTATransactionLookup is reported to work on WAS version 6 in any of the standard J2EE/JEE component containers.

Author:
  Gavin King,

  Nested Class Summary
  `static class` | `WebSphereExtendedJTATransactionLookup.TransactionManagerAdapter`

  Constructor Summary
  `WebSphereExtendedJTATransactionLookup()`

  Method Summary
  `TransactionManager` | `getTransactionManager(Properties props)` Obtain the JTA `TransactionManager`
  `String` | `getUserTransactionName()` Return the JNDI name of the JTA `UserTransaction` or `null` (optional operation).

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### WebSphereExtendedJTATransactionLookup

      public WebSphereExtendedJTATransactionLookup()

  Method Detail

  ### getTransactionManager

      public TransactionManager getTransactionManager(Properties props)

    Description copied from interface: `TransactionManagerLookup`
    Obtain the JTA `TransactionManager`

    Specified by:
      `getTransactionManager` in interface `TransactionManagerLookup`

  ### getUserTransactionName

      public String getUserTransactionName()

    Description copied from interface: `TransactionManagerLookup`
    Return the JNDI name of the JTA `UserTransaction` or `null` (optional operation).

    Specified by:
      `getUserTransactionName` in interface `TransactionManagerLookup`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD